NTLM Auth - Dansguardian broken package 2.12.0.3_2 pkg v.0.1.9 ?



  • Hello,

    The ntlm plugin for Dansguardian 2.12.0.3_2 pkg v.0.1.9 is not working, when I enable "Proxy-NTLM" at "Auth Plugins" the service was unable to start with the log:

    Starting dansguardian.
    Unable to load plugin config: /usr/pbi/dansguardian-i386/etc/dansguardian/authplugins/proxy-ntlm.conf
    auth_plugin_load() returned NULL pointer with config file: /usr/pbi/dansguardian-i386/etc/dansguardian/authplugins/proxy-ntlm.conf
    Error loading auth plugins

    There are no "/usr/pbi/dansguardian-i386/etc/dansguardian/authplugins/proxy-ntlm.conf"file, but even if I create one with the default settings the error is the same.

    I believe that the last version of package was not compiled with the NTLM auth plugin.

    Can someone send me a workaround to get the ntlm plugin working?

    Regards,
    Evaristo Quintao.



  • I give up to use Dansguardian on PFsense since the actual package don't work the NTLM plugin that is a requisite to my implementation.

    I'm using squidguard now.


Log in to reply